html {
    height: 100%;
}

body {
    margin: 0;
    font-size: 15px;
    color: #eae4aa;
    background: #fff;
    padding: 60px 0 0 0;
    font-family: 'Open Sans Condensed', sans-serif;
    text-align: center;
}

*, *:before, *:after {
    box-sizing: border-box;
}

img {
    max-width: 100%;
    max-height: 100%;
}
/* Global */
p {
    color: #000;
}

.hero-img {
    width: 100%;
    display: block;
    height: 100vh;
    object-fit: cover;
    object-position: 20% 50%;
}

header {
    position: fixed;
    top: 0;
    left: 0;
    background-color: #000;
    width: 100%;
    height: 60px;
    z-index: 5;
}

#message {
    position: fixed;
    background-color: rgba(0,0,0,0.9);
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    padding: 30px;
    justify-content: center;
    align-items: center;
    color: #eae4aa;
    font-size: clamp(20px,28px,5vw);
    z-index: 99999;
    gap: 15px;
    flex-direction: column;
    flex-wrap: wrap;
    text-align: left;
}

    #message p {
        color: #eae4aa;
        width: max-content;
        text-align: left;
        width: 30em;
        max-width: 100%;
    }

.underline {
    text-decoration: underline;
    color: #eae4aa;
    display: block;
}

#logo {
    position: absolute;
    top: 10px;
    left: 20px;
    height: 40px;
}

h3 {
    font-size: 20px;
    margin-bottom: 1em
}

.close {
    position: absolute;
    top: 20px;
    right: 20px;
    margin: 0 auto;
    width: 50px;
    height: 50px;
    display: block;
    text-align: center;
    cursor: pointer;
    z-index: 50;
    color: #eae4aa;
}

    .close::before {
        content: "";
        display: block;
        position: absolute;
        left: 0;
        right: 0;
        margin: 0 auto;
        width: 2px;
        height: 40px;
        transform: rotate(-45deg);
        transform-origin: center;
        -webkit-transform: rotate(-45deg);
        -webkit-transform-origin: center;
        background: currentColor;
        top: 0;
    }

    .close::after {
        content: "";
        display: block;
        position: absolute;
        left: 0;
        right: 0;
        margin: 0 auto;
        width: 2px;
        height: 40px;
        transform: rotate(45deg);
        transform-origin: center;
        -webkit-transform: rotate(45deg);
        -webkit-transform-origin: center;
        background: currentColor;
        top: 0;
    }

#biglogo {
    position: absolute;
    top: calc(50% - 220px);
    left: 0;
    height: 200px;
    right: 0;
    margin: 0 auto;
    display: block;
    z-index: 2;
    font-size: 40px;
    text-transform: uppercase;
}

#menubtn {
    position: absolute;
    top: 22px;
    right: 80px;
    cursor: pointer;
}

    #menubtn span {
        position: absolute;
        top: 0;
        left: 35px;
        -webkit-transition-timing-function: cubic-bezier(0.7, 0, 0.3, 1);
        transition-timing-function: cubic-bezier(0.7, 0, 0.3, 1);
        -webkit-transition-duration: 500ms;
        transition-duration: 500ms;
        display: inline-block;
        top: 0;
    }

        #menubtn span.c {
            -webkit-transform: scale(0);
            transform: scale(0);
        }

    #menubtn.active span.m {
        -webkit-transform: scale(0);
        transform: scale(0);
    }

    #menubtn.active span.c {
        -webkit-transform: scale(1);
        transform: scale(1);
    }

.menulink {
    position: fixed;
    display: block;
    height: calc(20vh - 12px);
    background-color: rgba(0,0,0,0.9);
    top: 60px;
    -webkit-transition-timing-function: cubic-bezier(0.7, 0, 0.3, 1);
    transition-timing-function: cubic-bezier(0.7, 0, 0.3, 1);
    -webkit-transition-duration: 500ms;
    transition-duration: 500ms;
    overflow: hidden;
    font-size: 16px;
    text-transform: uppercase;
    padding-top: calc(10vh - 8px);
    right: -250px;
    width: 250px;
    z-index: 10;
    color: #eae4aa;
    text-decoration: none;
}

    .menulink span {
        position: absolute;
        width: 100px;
        border-top: 1px solid #eae4aa;
        left: 0;
        right: 0;
        bottom: 0;
        margin: 0 auto;
        display: block;
    }

    .menulink.a1 {
        top: 60px;
    }

    .menulink.a2 {
        top: calc(20vh + 48px);
        -webkit-transition-delay: 50ms;
        transition-delay: 50ms;
    }

    .menulink.a3 {
        top: calc(40vh + 36px);
        -webkit-transition-delay: 100ms;
        transition-delay: 100ms;
    }

    .menulink.a4 {
        top: calc(60vh + 24px);
        -webkit-transition-delay: 150ms;
        transition-delay: 150ms;
    }

    .menulink.a5 {
        top: calc(80vh + 12px);
        -webkit-transition-delay: 200ms;
        transition-delay: 200ms;
    }

    .menulink.active {
        right: 0
    }

.full {
    width: 100%;
    height: calc(100vh - 60px);
    background-position: center center;
    background-size: cover;
}

section {
    position: relative;
    z-index: 2;
    background-color: #fff;
}

#intro {
    position: fixed;
    top: 60px;
    z-index: 1;
}

#services {
    margin-top: 100vh
}

.container {
    width: 1040px;
    max-width: 100%;
    margin: 0 auto;
    padding-top: 60px;
}

    .container.big {
        width: 90%;
        color: #000;
        font-weight: bold;
    }

.half {
    width: 49%;
    float: left;
    margin: 0 2% 0 0;
    height: 400px;
}

.container.small {
    width: 700px;
}

#contact .half.left {
    padding-top: 100px;
}

.half.right {
    margin: 0;
}

h1 {
    max-width: 24em;
    margin: 0 auto 2.5em auto;
    font-size: 30px;
    color: #000;
}

h2 {
    color: #000;
    font-size: 24px;
    text-align: center;
    margin: 0 auto 50px auto;
    text-transform: uppercase;
    width: 300px;
    padding-bottom: 70px;
    background: url(../images/brk.png) center bottom no-repeat;
}

ul#pricelist {
    padding: 0;
    margin: 0;
}

    ul#pricelist li {
        list-style: none;
        display: block;
    }


li.service {
    padding: 10px;
    text-align: left;
    color: #000;
    width: 600px;
    max-width: 100%;
    margin: 0 auto;
    -webkit-transition: all 500ms;
    transition: all 500ms;
    -ms-transition: all 500ms;
    border-bottom: 1px solid #ddd;
    max-width: 100%;
}

    li.service:hover {
    }

    li.service span {
        display: block;
        width: 50px;
        float: right;
    }

    li.service.pink {
        background-color: #ac8572;
        color: #eae4aa;
    }

#Products a {
    display: inline-block;
    height: 40px;
    margin: 30px;
}

a.phone {
    text-decoration: none;
    color: #000;
}

#map {
    width: 100%;
    height: 100%;
}

footer {
    padding: 10px;
    background-color: #000000;
    width: 100%;
    text-align: right;
    bottom: 0;
    left: 0;
    z-index: 2;
}

    footer a {
        margin: 0 5px;
        display: block;
        width: 20px;
        float: right;
    }

#about {
    padding-bottom: 60px;
}

.half.left {
    padding-top: 100px;
}

@media screen and (max-width : 680px) {
    .container {
        padding: 60px 10px 0 10px;
    }

        .container.big {
            width: 100%;
        }

    .menulink {
        width: 100%;
        left: 100%;
        right: auto
    }

        .menulink.active {
            left: 0;
        }

    h3 {
        display: none;
    }

    #biglogo {
        top: calc(50% - 50px)
    }

        #biglogo img {
            height: 100px
        }

    .half {
        width: 100%;
        height: auto;
    }

    .half {
        width: 100%;
        height: auto;
    }

    #map {
        width: 100%;
        height: 70vh;
        margin: 30px auto 0 auto;
    }

    li.service span {
        width: 35px;
    }

    h2 {
        width: 100%;
    }

    ul#pricelist li {
        font-size: 13px;
    }

    .half.left {
        padding-top: 0;
    }
}
